summaryrefslogtreecommitdiff
path: root/repo/automake
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-05-31 11:05:19 +0100
committerdavidovski <david@davidovski.xyz>2022-05-31 11:05:19 +0100
commit48ca75555522716f0f686dcae3dd6cf3d8ad714d (patch)
tree00c0f58550ba4661e87376f2f02c8001c69bae44 /repo/automake
parent871b2b573f01c1b3176a0f65458b3d281b41c437 (diff)
removed idea of repos
Diffstat (limited to 'repo/automake')
-rw-r--r--repo/automake/automake.xibuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/repo/automake/automake.xibuild b/repo/automake/automake.xibuild
new file mode 100644
index 0000000..689d63c
--- /dev/null
+++ b/repo/automake/automake.xibuild
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+MAKEDEPS="make autoconf"
+DEPS="perl"
+
+PKG_VER=1.16.5
+SOURCE=https://ftp.gnu.org/gnu/automake/automake-$PKG_VER.tar.xz
+DESC="A GNU tool for automatically creating Makefiles"
+
+build () {
+ ./configure --prefix=/usr -docdir=/usr/share/doc/automake-$PKG_VER
+ make
+}
+
+#check () {
+ #make -j4 check || true
+#}
+
+package () {
+ make DESTDIR=$PKG_DEST install
+
+ # backwards compatibility?
+ ln -s /usr/bin/aclocal $PKG_DEST/usr/bin/aclocal-1.15
+}